local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Alchemy(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Alchemy")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)



 -- Introduction

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Introduction:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Moving Into Alchemy, we are going to go through the basic crafts you can do and progressively go into other up ticks we can do to increase results and gold the time we spend on Alchemy. One thing to mention for Alchemy is that if you do not have the gold to invest then it is not advised to break into this market as it is one of the most expensive markets to get into.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


-- Potions


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Potions:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Making our way into potion to start with, we will see that potions are one of the fastest selling of all Alchemy crafts that you can do. This is because current content raiding most predominantly makes use of pots when doing this contnet. This is good to know when you are looking to make gold with this profession as potions are something you should focus on to make regular gold.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Starting off it is wise to start with crafting the current expansion potions as these will sell faster than the others because currently they are in use. You will be able to get a good return on these if mats are bought low and crafted for a profit. Along with this current potions will sell fast for you making it a good starting point to get into Alchemy crafting. However, there are other potions that sell all year round which we can look into to make gold.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("A good example is the “Potion of Treasure Finding”. This is a Cataclysm potion which is used for gold farming. This will provide the character consuming this to receive additional loot in the form of materials which increases the overall gold per hour for a Cataclysm gold farm. The sell rate for this potion is rather high for  a past expansion potion and does well in regards for cost to profit ratio.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("One thing to note when doing Potion crafting is that older expansion potions tend to drop off when a newer expansion comes about and only a select few are worth the time crafting for older expansions. This can also be judged by checking your sell rate of said potions for the best returns before crafting.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Flasks  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Flasks:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Much like with Potions, Flasks are commonly used for current content and of which fetch a strong return for your investments. However, as per raid nights ( i.e. Sever resets ) sales of flasks and potions will go through the roof in regards to sales and you can get a good return for the amount of stock you have. If you are based on a higher pop server it is more often than note, to sell through your entire supply within a couple of hours. There is a down side to these high volume sales as the market on those night become incredibly competitive and you will most likely have to do multiple cancel scans and relisting of those flasks and potions to get the sales you require.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("On a casual basis, you will be able to get good returns for the items your create but sales will of course be lower but the profit margin will tend to be the same. With making gold with this you win with consistancy more than anything and by staying in the market constantly making sure your potions and flasks are in stock at all time for a profit will produce you gold even on a casual note.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


-- Oils

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Oils:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("One side note for a lesser utilised set of items and that is Oil's. Oil's are one of the least sold items from Alchemy and are primaraly used to create something more of value. We can take Deepstone Oil as an example for this. With this you will need to craft Albino cavefish into Deepstone Oil, which then you will be using this oil to craft the Vial of the Sands mount. In essence Oils will sell but a lot slower than Potions and Flasks and really should be crafted to make other items with those oils for better profits overall.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
-- Proc Rates

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Porc Rates:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Moving into Proc Rates, What is a Proc Rate? A proc is the likely hood of obtaining extra materials from the same amount of resources by utilising a special ability. An example for this would be the “Silas Sphere of Transmutation” which when pressed would give you a random buff, which only one of them if applied would give you extra potions while crafting potions so a crude example would be instead of crafting 100 potion you would end up with 120 instead for the same amount of materials.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As for other Procs which are a must for Alchemist's, you will have to choose one of three per Alchemist and these are known as the Alchemy Mastery's. These are Transmutation, Potion and Elixir Mastery. However, some of these tend to lean better in some regards and on average have the same proc chance which is around 20% extra items produced.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("These Abilities are only able to be learned by having max skill level Alchemy in Vanilla Alchemy and will require you to obtain Mists of Pandaria crafts to obtain the Mastery which can take around 5 minutes to learn if your skill is already maxed as most of these items are inexpensive and a worth buying directly off of the auction house.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  


-- Tranmutation Mastery

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Transmutation Mastery:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Transmutation is the ability to take items like Golden Lotus and Sunstone and using these to create a higher quality item like Sun's Radiance. This is quite widely used to increase profits but most of these transmutes are on a Daily cooldown which means you can only do the craft once a day. However, there are some which can be done indefinitly with know cooldown these are the ones which you will be able to make gold off of more predominantly.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


  local desc = AceGUI:Create("Label")
  desc:SetText("Arcanite Bars is one of the most profitable ways to make gold with Alchemy transmutes because of it having no cooldown and high profit it makes it worth while in doing this. If we take this one for example we can then look at when we have transmute mastery we can crafts this as we would but also with the mastery we on average will come out with an extra 20% Arcanite Bars meaning we just go the extra 20% for the same price which adds up when you are selling transmutes quite often on the auction house.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


-- Potions Mastery

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Potion Mastery:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("The same thing can be said for Potion mastery, but, alas there is not many potions that can be crafted. You will probbly ask why can't I use this is the current expansion. The thing is ALL Mastery skills only proc items from crafts from Vanilla to Mists of Pandaria expansions. However, this is still usful but you are more better served by obtaining Elixir or Transmutation Mastery to get the best bang for your buck.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Though we do have some Potions that are worth the time if you so wish to go down this route. The “Potion of Treasure Finding” is a good start, as we have already covered this can be used to obtain extra loot from Cataclysm farms and with this it goes for a good profit and sell rate so in essence, proccing more would be ideal for this craft.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Other crafts that could be used for this is the Water Walking, Invisibility and Water Breathing Potions. This have a tendency to sell rather well especially as they are old content and the materials tend to sell for quite cheap, meaning you will be able to increase your profit margins quite a lot.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Elixir Mastery

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Elixir Mastery:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("With Elixir Master we can see some possible uses but the main use for having this is to use this for crafts of “Flask of the Winds” and “Flask of Titanic Strength”. These are used a lot in the “Vial of the Sands” mount craft and are a keystone set of items which the price of the craft is valued from this.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Meaning that if we are able to reduce the crafting cost of the mount by proccing 20% more flasks are next craft cost us less than it would and so on and so fourth. Other Elixirs in Alchemy are really not that well used it would be advised to have your first Alchemist with Transmutation Master and your second with one of the others that fits right with your goals in crafting.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

















end